Having trouble with upgraded nodebb



  • Hi, I upgrade my NodeBB from v0.6.0 to v0.7.0. But when I run my new NodeBB instance I got following warnings and error:

    • warn: [plugins/nodebb-plugin-markdown] This plugin may not be compatible with your version of NodeBB.
      This may cause unintended behaviour or crashing.

    • warn: [plugins/nodebb-plugin-markdown] In the event of an unresponsive NodeBB caused by this plugin,
      run ./nodebb reset plugin="nodebb-plugin-markdown".

    • warn: [plugins/nodebb-rewards-essentials] This plugin may not be compatible with your version of Node
      BB. This may cause unintended behaviour or crashing.

    • warn: [plugins/nodebb-rewards-essentials] In the event of an unresponsive NodeBB caused by this plugin
      n, run ./nodebb reset plugin="nodebb-rewards-essentials".

    • warn: [plugins/nodebb-plugin-mentions] This plugin may not be compatible with your version of NodeBB.
      This may cause unintended behaviour or crashing.

    • warn: [plugins/nodebb-plugin-mentions] In the event of an unresponsive NodeBB caused by this plugin,
      run ./nodebb reset plugin="nodebb-plugin-mentions".

    • warn: [plugins/nodebb-widget-essentials] This plugin may not be compatible with your version of NodeB
      B. This may cause unintended behaviour or crashing.

    • warn: [plugins/nodebb-widget-essentials] In the event of an unresponsive NodeBB caused by this plugin
      , run ./nodebb reset plugin="nodebb-widget-essentials".

    • warn: [plugins/nodebb-plugin-soundpack-default] This plugin may not be compatible with your version o
      f NodeBB. This may cause unintended behaviour or crashing.

    • warn: [plugins/nodebb-plugin-soundpack-default] In the event of an unresponsive NodeBB caused by this
      plugin, run ./nodebb reset plugin="nodebb-plugin-soundpack-default".

    • warn: [plugins/nodebb-theme-lavender] This plugin may not be compatible with your version of NodeBB.
      This may cause unintended behaviour or crashing.

    • warn: [plugins/nodebb-theme-lavender] In the event of an unresponsive NodeBB caused by this plugin, r
      un ./nodebb reset plugin="nodebb-theme-lavender".

    • error: [sounds] Could not initialise sounds: EPERM, symlink '\NodeBB\public\sounds\notification.mp3'

    please help me into this?


  • Community Rep

    Does the forum still start? The plugins just might need updating, or they might just be throwing warnings for fun. I get those warnings for a lot of plugins and they still work fine.

    npm up usually works for me to update all plugins and modules. (It won't touch git directories if you have those.)

    Like the warning says, try using the reset command if the forum is not starting.


  • Admin

    I wouldn't worry about the warnings unless your forum isn't working. The sounds error is a windows bug which we fixed recently, so either wait till 0.7.1 or we could backport that fix to 0.7.0


Log in to reply
 

Suggested Topics

| |